### Method

# Gio TlsClientConnection get_server_identity

since: 2.28

#### Declaration [src]

    GSocketConnectable*
    g_tls_client_connection_get_server_identity (
      GTlsClientConnection* conn
    )

#### Description [src]

Gets `conn`‘s expected server identity.

Available since: 2.28

Gets property | `Gio.TlsClientConnection:server-identity`

#### Return value

Type: `GSocketConnectable`

A `GSocketConnectable` describing the expected server identity, or `NULL` if the expected identity is not known.

The returned data is owned by the instance.
The return value can be `NULL`.